Bug 798841 - (CVE-2012-1094) CVE-2012-1094 mod_cluster registers and exposes the root context of a JBoss AS 7 server by default, despite ROOT being in the excluded-contexts list
CVE-2012-1094 mod_cluster registers and exposes the root context of a JBoss A...
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120204,repor...
: Security
Depends On:
Blocks: 798845
  Show dependency treegraph
 
Reported: 2012-02-29 22:54 EST by David Jorm
Modified: 2014-10-20 20:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-11 22:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jorm 2012-02-29 22:54:48 EST
mod_cluster registers and exposes the root context of a JBoss AS 7 server by default, despite ROOT being in the excluded-contexts list. The excluded-contexts list requires the hostname to be set as well as the path to correctly identify a context. Due to a mismatch between AS 7 and mod_cluster concerning the default hostname, the contents of the excluded-contexts list are not matched by mod_cluster. This issue is resolved by automatically prepending the default hostname to the path when parsing the excluded-contexts list.
Comment 1 David Jorm 2012-02-29 23:57:29 EST
This flaw does not affect OpenShift, as mod_cluster is not being used.
Comment 2 Julian Coleman 2012-03-05 07:06:43 EST
No SOA-P/BRMS-P/EDS-P products are based on AS 7 at this time.
Comment 3 David Jorm 2012-03-11 22:39:20 EDT
This issue is now resolved in JBoss AS 7.1.1.Final.
Comment 4 David Jorm 2012-03-11 22:39:56 EDT
Statement:

Not vulnerable. This issue only affects community JBoss AS 7 prior to 7.1.1. It does not affect components shipped with any Red Hat products.

Note You need to log in before you can comment on or make changes to this bug.